package de.jottyfan.bico.modules.camp;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.jottyfan.bico.db.camp.tables.records.TAgeRecord;
import de.jottyfan.bico.modules.camp.model.RegistrationBean;

/**
 *
 * @author jotty
 *
 */
@Service
public class AdminRegistrationService {

	@Autowired
	private RegistrationRepository repository;

	public List<RegistrationBean> getAllRegistrations() {
		return repository.getAllRegistrations();
	}

	public List<TAgeRecord> getAges() {
		return repository.getAges();
	}

	public String getDownload() {
		return repository.getDownload();
	}
}
